#include <iostream>

using namespace std;

int main()
{
    int a, b, x, y;
    cin >> a >> b >> x >> y;

    if(a+b==x+y)
        cout << "nijedan";
    else if(a>x && b==y)
        cout << "prvi";
    else if(a==x && b>y)
        cout << "drugi";
    else
        cout << "?";

    return 0;
}